package com.jjt.calc.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.jjt.calc.mapper.TwinCalcHourSpecMapper;
import com.jjt.calc.domain.TwinCalcHourSpec;
import com.jjt.calc.service.ITwinCalcHourSpecService;
import javax.annotation.Resource;

/**
 * 按配方1小时统计数据Service业务层处理
 *
 * @author wukai
 * @date 2025-01-18
 */
@Service
public class TwinCalcHourSpecServiceImpl implements ITwinCalcHourSpecService {
    @Resource
    private TwinCalcHourSpecMapper twinCalcHourSpecMapper;

    /**
     * 查询按配方1小时统计数据
     *
     * @param id 按配方1小时统计数据主键
     * @return 按配方1小时统计数据
     */
    @Override
    public TwinCalcHourSpec selectTwinCalcHourSpecById(Long id) {
        return twinCalcHourSpecMapper.selectTwinCalcHourSpecById(id);
    }

    /**
     * 查询按配方1小时统计数据列表
     *
     * @param twinCalcHourSpec 按配方1小时统计数据
     * @return 按配方1小时统计数据
     */
    @Override
    public List<TwinCalcHourSpec> selectTwinCalcHourSpecList(TwinCalcHourSpec twinCalcHourSpec) {
        return twinCalcHourSpecMapper.selectTwinCalcHourSpecList(twinCalcHourSpec);
    }

    /**
     * 新增按配方1小时统计数据
     *
     * @param twinCalcHourSpec 按配方1小时统计数据
     * @return 结果
     */
    @Override
    public int insertTwinCalcHourSpec(TwinCalcHourSpec twinCalcHourSpec) {
            return twinCalcHourSpecMapper.insertTwinCalcHourSpec(twinCalcHourSpec);
    }

    /**
     * 修改按配方1小时统计数据
     *
     * @param twinCalcHourSpec 按配方1小时统计数据
     * @return 结果
     */
    @Override
    public int updateTwinCalcHourSpec(TwinCalcHourSpec twinCalcHourSpec) {
        return twinCalcHourSpecMapper.updateTwinCalcHourSpec(twinCalcHourSpec);
    }

    /**
     * 批量删除按配方1小时统计数据
     *
     * @param ids 需要删除的按配方1小时统计数据主键
     * @return 结果
     */
    @Override
    public int deleteTwinCalcHourSpecByIds(Long[] ids) {
        return twinCalcHourSpecMapper.deleteTwinCalcHourSpecByIds(ids);
    }

    /**
     * 删除按配方1小时统计数据信息
     *
     * @param id 按配方1小时统计数据主键
     * @return 结果
     */
    @Override
    public int deleteTwinCalcHourSpecById(Long id) {
        return twinCalcHourSpecMapper.deleteTwinCalcHourSpecById(id);
    }
}
