package com.jjt.emp.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.jjt.emp.mapper.TwinEmpCalcMapper;
import com.jjt.emp.domain.TwinEmpCalc;
import com.jjt.emp.service.ITwinEmpCalcService;
import javax.annotation.Resource;

/**
 * 员工产量统计Service业务层处理
 *
 * @author wukai
 * @date 2025-01-18
 */
@Service
public class TwinEmpCalcServiceImpl implements ITwinEmpCalcService {
    @Resource
    private TwinEmpCalcMapper twinEmpCalcMapper;

    /**
     * 查询员工产量统计
     *
     * @param calcId 员工产量统计主键
     * @return 员工产量统计
     */
    @Override
    public TwinEmpCalc selectTwinEmpCalcByCalcId(Long calcId) {
        return twinEmpCalcMapper.selectTwinEmpCalcByCalcId(calcId);
    }

    /**
     * 查询员工产量统计列表
     *
     * @param twinEmpCalc 员工产量统计
     * @return 员工产量统计
     */
    @Override
    public List<TwinEmpCalc> selectTwinEmpCalcList(TwinEmpCalc twinEmpCalc) {
        return twinEmpCalcMapper.selectTwinEmpCalcList(twinEmpCalc);
    }

    /**
     * 新增员工产量统计
     *
     * @param twinEmpCalc 员工产量统计
     * @return 结果
     */
    @Override
    public int insertTwinEmpCalc(TwinEmpCalc twinEmpCalc) {
            return twinEmpCalcMapper.insertTwinEmpCalc(twinEmpCalc);
    }

    /**
     * 修改员工产量统计
     *
     * @param twinEmpCalc 员工产量统计
     * @return 结果
     */
    @Override
    public int updateTwinEmpCalc(TwinEmpCalc twinEmpCalc) {
        return twinEmpCalcMapper.updateTwinEmpCalc(twinEmpCalc);
    }

    /**
     * 批量删除员工产量统计
     *
     * @param calcIds 需要删除的员工产量统计主键
     * @return 结果
     */
    @Override
    public int deleteTwinEmpCalcByCalcIds(Long[] calcIds) {
        return twinEmpCalcMapper.deleteTwinEmpCalcByCalcIds(calcIds);
    }

    /**
     * 删除员工产量统计信息
     *
     * @param calcId 员工产量统计主键
     * @return 结果
     */
    @Override
    public int deleteTwinEmpCalcByCalcId(Long calcId) {
        return twinEmpCalcMapper.deleteTwinEmpCalcByCalcId(calcId);
    }
}
